/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { BaseComponent } from '../base.component';
import { Page } from '@playwright/test';
export declare class AdfFolderDialogComponent extends BaseComponent {
    private static rootElement;
    folderNameInputLocator: import("playwright-core").Locator;
    folderNameInputHint: import("playwright-core").Locator;
    folderTitleInput: import("playwright-core").Locator;
    folderDescriptionInput: import("playwright-core").Locator;
    createButton: import("playwright-core").Locator;
    cancelButton: import("playwright-core").Locator;
    constructor(page: Page);
    getLabelText: (text: string) => import("playwright-core").Locator;
    getRequiredMarker: (text: string) => import("playwright-core").Locator;
    /**
     * This method is used when we want to fill in Create new Folder Dialog and choose Create button
     *
     * @param nameInput input for the Name field
     * @param titleInput input for Title field
     * @param descriptionInput input for Description field
     */
    createNewFolderDialog(nameInput: string, titleInput?: string, descriptionInput?: string): Promise<void>;
}
