/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
export declare const infoColor = "\u001B[36m%s\u001B[0m";
export declare const logColor = "\u001B[35m%s\u001B[0m";
export declare const warnColor = "\u001B[33m%s\u001B[0m";
export declare const errorColor = "\u001B[31m%s\u001B[0m";
export type LOG_LEVEL = 'TRACE' | 'DEBUG' | 'INFO' | 'WARN' | 'ERROR' | 'SILENT';
export declare class LogLevelsEnum extends Number {
    static readonly TRACE: number;
    static readonly DEBUG: number;
    static readonly INFO: number;
    static readonly WARN: number;
    static readonly ERROR: number;
    static readonly SILENT: number;
}
export declare const logLevels: {
    level: LogLevelsEnum;
    name: LOG_LEVEL;
}[];
export interface LoggerLike {
    info(...messages: string[]): void;
    log(...messages: string[]): void;
    warn(...messages: string[]): void;
    error(...messages: string[]): void;
}
export declare class GenericLogger implements LoggerLike {
    private readonly level;
    constructor(logLevel: string);
    info(...messages: string[]): void;
    log(...messages: string[]): void;
    warn(...messages: string[]): void;
    error(...messages: string[]): void;
}
